## sidplay 2.0.9

=== debian/changelog ===
sidplay (2.0.9-7ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
   - Backport portions of patch from Cybjit resolving failure to play
     audio due to missing /dev/dsp. This patch adds ALSA support.
     (LP: #727573)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 05 Jan 2024 11:17:52 +0000

sidplay (2.0.9-7) unstable; urgency=medium

  * Switch to short debhelper rules format (closes: #999210).
  * Update debhelper level to 13 (closes: #727965, #965817).
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Jan 2022 08:37:32 +0100

sidplay (2.0.9-6ubuntu6) groovy; urgency=medium

  * Fix ftbfs with current alsa.
  * Bump debhelper version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 May 2020 16:23:06 +0200

sidplay (2.0.9-6ubuntu5) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 08:58:32 +0100

sidplay (2.0.9-6ubuntu4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:56 +0000

sidplay (2.0.9-6ubuntu3) wily; urgency=medium

  * No-change rebuild against libsidplay2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:56:34 +0200

sidplay (2.0.9-6ubuntu2) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.
  * Remove config.{sub,guess} from root.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Oct 2014 21:38:56 -0400

sidplay (2.0.9-6ubuntu1) oneiric; urgency=low

  * Backport portions of patch from Cybjit resolving failure to play
    audio due to missing /dev/dsp. This patch adds ALSA support.
    (LP: #727573)
  * Update configure.ac; run autoconf.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 11:59:35 -0400

sidplay (2.0.9-6) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' compilation errors
    (closes: #560471).
  * Move to debhelper level 5 and update to Standards-Version to 3.8.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 09 Feb 2010 23:03:05 +0000

sidplay (2.0.9-5) unstable; urgency=low

  * Fix a compilation error and warnings with gcc-4.3/g++-4.3 .
  * Update watch file thanks to Raphael Geissert (closes: #449887).
  * Correct minor packaging issues and update Standards-Version to 3.7.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 07 Apr 2008 23:46:50 +0200

sidplay (2.0.9-4) unstable; urgency=medium

  * Again a fix for GNU/kFreeFSD compilation (closes: #399124).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 18 Nov 2006 06:38:45 +0000

sidplay (2.0.9-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD's, thanks to Aurelien Jarno
    <aurel32@debian.org> (closes: #336880).
  * Updated FSF address in copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu,  9 Mar 2006 21:00:30 +0000

sidplay (2.0.9-2) unstable; urgency=low

  * Fix manpage typeos, thanks to A Costa <agcosta@gis.net> (closes: #312762).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 20 Aug 2005 15:27:21 +0200

sidplay (2.0.9-1) unstable; urgency=low

  * New upstream version.
  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 25 Nov 2004 03:22:59 +0100

sidplay (2.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump up Standards-Version to 3.6.1, no changes needed.
  * Cleaned up rules a bit.
  * Remove spurious rpath from binary.
  * New maintainer.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 14 Aug 2004 13:23:32 +0000

sidplay (2.0.7+cvs20030111-2) unstable; urgency=low

  * src/keyboard.cpp: Fix char/int silliness with _getch().
    (Closes: #181223)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 16 Feb 2003 16:17:26 +0100

sidplay (2.0.7+cvs20030111-1) unstable; urgency=low

  * Initial Release.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 12 Jan 2003 18:12:04 +0100
