=== debian/control ===
Source: sidplay
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), libsidplay2-dev (>= 2.1.1-4), libresid-builder-dev (>= 2.1.1), libsidutils-dev, libtool-bin, pkg-config, libasound2-dev
Homepage: http://sidplay2.sourceforge.net/
Standards-Version: 4.6.0.1

Package: sidplay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Music player for tunes from C64 and C128 (console)
 This is a simple music player for C64 and C128 tunes, also known as
 SID tunes.
