## sidplay 2.0.9-5-alsa2

=== debian/changelog ===
sidplay (2.0.9-5-alsa2) unstable; urgency=low

  * Don't rename resulting package to sidplay2.
  * Package replaces sidplay2.

 -- Tommi Saviranta <wnd@iki.fi>  Wed, 23 Sep 2009 15:12:41 +0300

sidplay (2.0.9-5-alsa1) unstable; urgency=low

  * Nearly complete rewrite of ALSA driver to support new ALSA API.

 -- Tommi Saviranta <wnd@iki.fi>  Sun, 20 Jul 2008 13:43:26 +0300
